Subject: Re: [PATCH] Introduce Git.pm (v3)

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Jun 2006 01:20:41 +0200

Dnia piątek 23. czerwca 2006 14:45, napisałeś:
> Dear diary, on Fri, Jun 23, 2006 at 08:03:23AM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
>> Perhaps Git.pm should provide also generic, pure Perl (and slower)
>> fallback implementation (when for some reason we cannot compile XS).
> 
> I fiercely want to avoid this if there is any other possible way to go
> about it - this is a path to hell of massive code duplication and
> additional work, as the number of routines will grow. If it is question
> of spending many developer-hours uselessly duplicating code in a way
> that'll be much slower than possible anyway OR building with -fPIC... ;-)

I have thought about reimplementing only the parts which are in XS. In C
one would probably write

#if can_asm
 asm (...)
#else
 /* C code equivalent */
#endif

In addition to allowing use of Git.pm for people who cannot compile 
Git.xs, it would be helpful I guess in Git.pm development.

-- 
Jakub Narebski
Poland